View Issue Details

IDProjectCategoryView StatusLast Update
0003547Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003547: hamqth.com, the Callsign Lookup does not correctly assign HRDCountry
DescriptionThe cross-referencing for DXCC to the country list for Enabled Methods is not gathering the HRDCountry value correctly.
Steps To Reproduce1 - Launch Rig Control
2 - Launch Logbook
3 - Go to Tools > Configure > Callsign Lookup... Enable tab
4 - Add only hamqth.com Subscription
resulting order is UCSDB (Public), UCSDB (Private), hamqth.com Subscription, Country List
5 - Press "Apply"
6 - Click the "Test" tab
7 - Enter "KH0A" (without quotes) and click "Lookup"
8 - Observe the results where the hamqth.com row does not populate HRD Country Number correctly...

It shows 166 and it should be 291.
As a result, the "distilled results" incorrectly show "166" rather than "291"
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

WA9PIE

2019-11-04 04:21

administrator  

KH0A (hamqth com).png (59,008 bytes)
KH0A (hamqth com).png (59,008 bytes)

K7ZCZ

2019-11-04 22:05

administrator   ~0009137

This change set modifies the code to take the DXCC value (in the "ADIF" field) from the HamQTH results. The DXCC number is used to get a country name out of the application's country list. That country name is added to the result set. Then, the country numae is used to look up the continent name and the HRD country number from the application's country list. Those results are also put to the result set.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5266

WA9PIE

2019-11-05 20:25

administrator   ~0009147

Validated

Issue History

Date Modified Username Field Change
2019-11-04 04:21 WA9PIE New Issue
2019-11-04 04:21 WA9PIE Status new => assigned
2019-11-04 04:21 WA9PIE Assigned To => K7ZCZ
2019-11-04 04:21 WA9PIE File Added: KH0A (hamqth com).png
2019-11-04 04:21 WA9PIE Issue generated from: 0003544
2019-11-04 04:30 WA9PIE Description Updated View Revisions
2019-11-04 04:30 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-04 04:59 WA9PIE Priority normal => high
2019-11-04 05:00 WA9PIE Severity minor => major
2019-11-04 22:05 K7ZCZ Status assigned => resolved
2019-11-04 22:05 K7ZCZ Resolution open => fixed
2019-11-04 22:05 K7ZCZ Note Added: 0009137
2019-11-05 20:19 K7ZCZ Fixed in Version => 6.7.0.242
2019-11-05 20:25 WA9PIE Status resolved => closed
2019-11-05 20:25 WA9PIE Testing Not Started => Beta Successful
2019-11-05 20:25 WA9PIE Note Added: 0009147
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.242 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe